Skip site navigation (1)Skip section navigation (2)
Date:      Wed, 11 Nov 2015 18:42:24 +0000 (UTC)
From:      Dirk Meyer <dinoex@FreeBSD.org>
To:        ports-committers@freebsd.org, svn-ports-all@freebsd.org, svn-ports-head@freebsd.org
Subject:   svn commit: r401293 - in head/security: . fastd-devel fastd-devel/files
Message-ID:  <201511111842.tABIgOpm004707@repo.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: dinoex
Date: Wed Nov 11 18:42:24 2015
New Revision: 401293
URL: https://svnweb.freebsd.org/changeset/ports/401293

Log:
  This is a fast and Secure Tunnelling Daemon.
  
  WWW: http://git.universe-factory.net/fastd
  PR:		204473
  Submitted by:	Jan Bramkamp

Added:
  head/security/fastd-devel/
  head/security/fastd-devel/Makefile   (contents, props changed)
  head/security/fastd-devel/distinfo   (contents, props changed)
  head/security/fastd-devel/files/
  head/security/fastd-devel/files/fastd_devel.in   (contents, props changed)
  head/security/fastd-devel/files/patch-src_CMakeLists.txt   (contents, props changed)
  head/security/fastd-devel/pkg-descr   (contents, props changed)
Modified:
  head/security/Makefile

Modified: head/security/Makefile
==============================================================================
--- head/security/Makefile	Wed Nov 11 18:34:21 2015	(r401292)
+++ head/security/Makefile	Wed Nov 11 18:42:24 2015	(r401293)
@@ -123,6 +123,7 @@
     SUBDIR += fakeident
     SUBDIR += fakeroot
     SUBDIR += fastd
+    SUBDIR += fastd-devel
     SUBDIR += fbopenssl
     SUBDIR += fcheck
     SUBDIR += fcrackzip

Added: head/security/fastd-devel/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/fastd-devel/Makefile	Wed Nov 11 18:42:24 2015	(r401293)
@@ -0,0 +1,33 @@
+# $FreeBSD$
+
+PORTNAME=		fastd
+PORTVERSION=		18.a.20151111
+CATEGORIES=		security net
+MASTER_SITES=		http://git.universe-factory.net/fastd/snapshot/
+PKGNAMESUFFIX=		-devel
+DISTNAME=		999b87b80302dbc14e23ef3dff187b91dae7fab5
+
+MAINTAINER=		crest_maintainer@rlwinm.de
+COMMENT=		Fast and Secure Tunnelling Daemon
+
+LICENSE=		BSD2CLAUSE
+LICENSE_FILE=		${WRKSRC}/COPYRIGHT
+
+LIB_DEPENDS=		libjson-c.so:${PORTSDIR}/devel/json-c       \
+			libsodium.so:${PORTSDIR}/security/libsodium \
+			libuecc.so:${PORTSDIR}/security/libuecc
+
+USES=			bison cmake:outsource pkgconfig tar
+
+PKG_CONFIG_PATH=	${PREFIX}/lib/pkgconfig/
+CONFIGURE_ENV+=		PKG_CONFIG_PATH=${PKG_CONFIG_PATH}
+
+USE_RC_SUBR=		fastd_devel
+
+PLIST_FILES=		bin/fastd-devel           \
+			man/man1/fastd-devel.1.gz
+
+post-install:
+	${INSTALL_MAN} ${WRKSRC}/doc/fastd.1 ${STAGEDIR}${PREFIX}/man/man1/fastd-devel.1
+
+.include <bsd.port.mk>

Added: head/security/fastd-devel/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/fastd-devel/distinfo	Wed Nov 11 18:42:24 2015	(r401293)
@@ -0,0 +1,2 @@
+SHA256 (999b87b80302dbc14e23ef3dff187b91dae7fab5.tar) = 4267521d02e6f4772e9d234a37e40d8af1c63f31493cf93460b25f21df219005
+SIZE (999b87b80302dbc14e23ef3dff187b91dae7fab5.tar) = 1484800

Added: head/security/fastd-devel/files/fastd_devel.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/fastd-devel/files/fastd_devel.in	Wed Nov 11 18:42:24 2015	(r401293)
@@ -0,0 +1,75 @@
+#!/bin/sh
+#
+# $FreeBSD$
+
+# PROVIDE: fastd_devel
+# REQUIRE: DAEMON
+# KEYWORD: shutdown
+
+# -----------------------------------------------------------------------------
+#
+# This script supports running multiple instances of fastd.
+# To run additional instances link this script to something like
+# % ln -s fastd fastd_foo
+# and define additional fastd_foo_* variables in one of
+# /etc/rc.conf, /etc/rc.conf.local or /etc/rc.conf.d/fastd_foo
+#
+# Below NAME should be substituted with the name of this script. By default
+# it is fastd, so read as fastd_enable. If you linked the script to
+# fastd_foo, then read as fastd_foo_enable etc.
+#
+# The following variables are supported (defaults are shown).
+# You can place them in any of
+# /etc/rc.conf, /etc/rc.conf.local or /etc/rc.conf.d/NAME
+#
+# NAME_enable="NO"  # set to YES to enable fastd
+#
+# # optional:
+# NAME_configfile="%%PREFIX%%/etc/fastd/NAME.conf"  # --config file
+#
+
+. /etc/rc.subr
+
+case "$0" in
+/etc/rc*)
+  # during boot (shutdown) $0 is /etc/rc (/etc/rc.shutdown),
+  # so get the name of the script from $_file
+  name="$_file"
+  ;;
+*)
+  name="$0"
+  ;;
+esac
+
+name="${name##*/}"
+rcvar=${name}_enable
+
+clean_pidfile()
+{
+  rm -f "$pidfile" || warn "Could not remove $pidfile."
+}
+
+# reload: support SIGHUP to reload peer directories
+extra_commands="reload"
+
+# pidfile
+pidfile="/var/run/${name}.pid"
+
+# run this last
+start_precmd="clean_pidfile"
+stop_postcmd="clean_pidfile"
+
+load_rc_config ${name}
+
+eval ": \${${name}_enable:=\"NO\"}"
+eval ": \${${name}_configfile:=\"%%PREFIX%%/etc/fastd/${name}.conf\"}"
+
+configfile="$(eval echo \${${name}_configfile})"
+
+required_files=${configfile}
+
+# command and arguments
+command="%%PREFIX%%/bin/fastd-devel"
+command_args="--daemon --config ${configfile} --pid-file ${pidfile}"
+
+run_rc_command "$1"

Added: head/security/fastd-devel/files/patch-src_CMakeLists.txt
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/fastd-devel/files/patch-src_CMakeLists.txt	Wed Nov 11 18:42:24 2015	(r401293)
@@ -0,0 +1,10 @@
+--- src/CMakeLists.txt.orig	2015-11-11 18:08:50 UTC
++++ src/CMakeLists.txt
+@@ -45,6 +45,7 @@ add_executable(fastd
+ )
+ set_property(TARGET fastd PROPERTY COMPILE_FLAGS "${FASTD_CFLAGS}")
+ set_property(TARGET fastd PROPERTY LINK_FLAGS "${PTHREAD_LDFLAGS} ${LIBUECC_LDFLAGS_OTHER} ${NACL_LDFLAGS_OTHER} ${JSON_C_LDFLAGS_OTHER} ${LDFLAGS_LTO}")
++set_property(TARGET fastd PROPERTY SUFFIX "-devel")
+ set_property(TARGET fastd APPEND PROPERTY INCLUDE_DIRECTORIES ${LIBCAP_INCLUDE_DIR} ${NACL_INCLUDE_DIR} ${JSON_C_INCLUDE_DIR})
+ target_link_libraries(fastd protocols methods ciphers macs ${RT_LIBRARY} ${LIBCAP_LIBRARY} ${LIBUECC_LIBRARIES} ${NACL_LIBRARIES} ${OPENSSL_CRYPTO_LIBRARY} ${JSON_C_LIBRARIES})
+ 

Added: head/security/fastd-devel/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/fastd-devel/pkg-descr	Wed Nov 11 18:42:24 2015	(r401293)
@@ -0,0 +1,3 @@
+This is a fast and Secure Tunnelling Daemon.
+
+WWW: http://git.universe-factory.net/fastd



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201511111842.tABIgOpm004707>